/**
 * @file
 * Contains all javascript logic for moderate_mmenu.
 */

(function ($, Drupal) {

    Drupal.behaviors.moderate_mmenu = {
        attach: function (context, settings) {
            // Enable mmenu for our element.
            $("#moderate-mmenu").mmenu({
                navbar: {
                    title: "Moderate"
                },
                extensions: ["pageshadow"]
            });

            // Add custom class to html and body, so we can target CSS.
            $('html').addClass('moderate-mmenu-enabled');
            $('body').addClass('moderate-mmenu-enabled');

            // Clone the menu link and re-position it to the topmost level of mm-slideout (class generated by mmenu).
            var menu_link = $("#moderate-mmenu-link");
            var clone = menu_link.clone();
            menu_link.remove();
            $(".mm-slideout").prepend(clone);

            // Make the menu link draggable, so users can move it out of their way while editing.
            $("#moderate-mmenu-link").draggable({
                axis: "y",
                containment: ".mm-slideout",
                scroll: false,
                stop: function() {
                    // Optional support of localStorage to save drag location.
                    var link = $("#moderate-mmenu-link");
                    if (typeof localStorage != 'undefined') {
                        var pos = link.position();
                        localStorage.setItem('moderate-mmenu-pos', pos.top + 'px');
                    }
                    link.removeClass('hover');
                },
                drag: function () {
                    $("#moderate-mmenu-link").addClass('hover');
                }
            });

            // Set the initial position of the menu link, if we previously stored it.
            if (typeof localStorage != 'undefined') {
                var top = localStorage.getItem('moderate-mmenu-pos');
                if (top) {
                    $("#moderate-mmenu-link").css('top', top);
                }
            }

            // Add navbar support.
            $(".navbar-tab").on("click", function(){
                setTimeout(function() {
                    var navbar = $("#navbar-administration");
                    if (navbar) {
                        var offset = navbar.children(":visible:last").outerHeight();
                        $(".mm-hasnavbar").css('padding-top', offset);
                    }
                }, 10);
            });
            var navbar = $("#navbar-administration");
            if (navbar) {
                var offset = navbar.children(":visible:last").outerHeight();
                $(".mm-hasnavbar").css('padding-top', offset);
            }
        }
    };

})(jQuery, Drupal);
